Bug 82738 - [EFL] keycode translation is wrong for function keys
Summary: [EFL] keycode translation is wrong for function keys
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sudarsana Nagineni (babu)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-30 09:25 PDT by Sudarsana Nagineni (babu)
Modified: 2012-05-15 00:21 PDT (History)
5 users (show)

See Also:


Attachments
Patch (2.35 KB, patch)
2012-03-30 09:46 PDT, Sudarsana Nagineni (babu)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sudarsana Nagineni (babu) 2012-03-30 09:25:39 PDT
The following code sets wrong keycode value for function keys.

// Set F_XX keys to the windowsKeyMap.
>>    for (unsigned int i = 1; i < 25; i++) {
>        String key = "F" + String::number(i);
>>       windowsKeyMap().set(key, VK_F1 + i);

Vk_F1 keycode is equivalent to F1, so it should be 'VK_F1 + i - 1' instead of 'VK_F1 + i'.
Comment 1 Sudarsana Nagineni (babu) 2012-03-30 09:46:42 PDT
Created attachment 134832 [details]
Patch

Fix keycode translation for function keys
Comment 2 Raphael Kubo da Costa (:rakuco) 2012-03-30 12:50:06 PDT
Comment on attachment 134832 [details]
Patch

Looks good, thanks.
Comment 3 WebKit Review Bot 2012-04-05 01:47:36 PDT
Comment on attachment 134832 [details]
Patch

Clearing flags on attachment: 134832

Committed r113300: <http://trac.webkit.org/changeset/113300>
Comment 4 WebKit Review Bot 2012-04-05 01:47:41 PDT
All reviewed patches have been landed.  Closing bug.